> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Individual Session.


> Create a new session for an individual. This is only required for onboarding fraud checks where device data is required and at this stage 
it is NOT specifically needed for Transaction and Activity monitoring.




## OpenAPI

````yaml /specs/fc-act-bundled_generated.yaml post /v2/individuals/{entityId}/sessions
openapi: 3.0.3
info:
  title: Transaction and Activity Monitoring API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2.0 Transaction and Activity
    Monitoring. Currently in development, changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Activities
    description: >
      APIs to verify activities which will range from platform level activities
      such as login and registration

      to financial transactions such as deposits, withdrawals, etc.
  - name: Results
    description: |
      APIs to manage results for an individual or organization.
  - name: Sessions
    description: |
      APIs to manage sessions for an individual or organization.
paths:
  /v2/individuals/{entityId}/sessions:
    post:
      tags:
        - Sessions
      summary: |
        Create Individual Session.
      description: >
        Create a new session for an individual. This is only required for
        onboarding fraud checks where device data is required and at this stage 

        it is NOT specifically needed for Transaction and Activity monitoring.
      operationId: createIndividualSession
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
        - $ref: '#/components/parameters/path_entity_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Create-Session-Req'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Create-Session-Res'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
    path_entity_id:
      name: entityId
      in: path
      required: true
      description: Unique identifier for an entity
      schema:
        $ref: '#/components/schemas/Entity-ID'
  schemas:
    Create-Session-Req:
      type: object
      required:
        - session
      properties:
        session:
          $ref: '#/components/schemas/Create-Session-Input'
    Create-Session-Res:
      type: object
      required:
        - requestId
        - session
      properties:
        requestId:
          $ref: '#/components/schemas/Request-ID'
        session:
          $ref: '#/components/schemas/Session-Data'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Create-Session-Input:
      type: object
      properties:
        providerName:
          type: string
          description: |
            The name of the provider that the session is associated with.
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Session-Data:
      type: object
      description: >-
        Session data for an activity, this is always scoped to a singular
        entity.
      allOf:
        - $ref: '#/components/schemas/Session'
        - type: object
          properties:
            sessionId:
              type: string
              description: A FrankieOne ID for the session
              format: ulid
              readOnly: true
            providerName:
              type: string
            entityId:
              $ref: '#/components/schemas/Entity-ID'
            createdAt:
              type: string
              description: the time the session was created in UTC ISO8601 format
              format: date-time
              readOnly: true
            expiresAt:
              type: string
              description: the time the session expires in UTC ISO8601 format
              format: date-time
              readOnly: true
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Session:
      type: object
      description: >-
        Session details for an activity, this is always scoped to a singular
        entity.
      properties:
        token:
          type: string
          description: A token to identify the specific session for the activity
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````